python-fiu_0.94-4_amd64.deb


Advertisement

Description

python-fiu - userspace fault injection framework (Python bindings)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-fiu
Package version: 0.94
Package release: 4
Package architecture: amd64
Package type: deb
Installed size: 37 B
Download size: 8.31 KB
Official Mirror: archive.ubuntu.com
libfiu is a C library for fault injection. It provides functions to mark "points of failure" inside your code (the "core API"), and functions to enable/disable the failure of those points (the "control API"). This package contains Python bindings to libfiu.

Alternatives

    Download

    Source package: libfiu

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-fiu deb package:
      # sudo apt-get install python-fiu

    Files

    • /usr/lib/python2.7/dist-packages/fiu-0.0.0.egg-info
    • /usr/lib/python2.7/dist-packages/fiu.py
    • /usr/lib/python2.7/dist-packages/fiu_ctrl.py
    • /usr/lib/python2.7/dist-packages/fiu_ll.x86_64-linux-gnu.so
    • /usr/share/doc/python-fiu/changelog.Debian.gz
    • /usr/share/doc/python-fiu/copyright

    Changelog

    2016-03-28 - Chris Lamb <lamby@debian.org> libfiu (0.94-4) unstable; urgency=medium * wrap-and-sort -sa. * Add debian/patches/0002-ld-as-needed.patch from Logan Rosen <logan@ubuntu.com>: Move libraries after files that need them to fix FTBFS with ld --as-needed. (Closes: #819373) * Move to HTTPS URI for Vcs-Git.

    2015-09-22 - Chris Lamb <lamby@debian.org> libfiu (0.94-3) unstable; urgency=medium * Pass LC_ALL=C when running dh_auto_test to avoid FTBFS under exotic locales (eg. fr_CH.UTF-8).

    2015-08-16 - Chris Lamb <lamby@debian.org> libfiu (0.94-2) unstable; urgency=medium * Don't hide compiler warnings by passing V=1 to upstream Makefiles. * Rename buildvers -> PYTHON2_VERSIONS, etc. * Apply upstream patch to fix FTBFS in tests on amd64.

    2015-08-15 - Chris Lamb <lamby@debian.org> libfiu (0.94-1) unstable; urgency=medium * New upstream version. * Bump Standards-Version to 3.9.6. * Bump Debhelper compatibility level to 9. * wrap-and-sort. * Drop 01-fix-ftbfs-on-i386.diff - applied upstream. * Add dh-python to Build-Depends. * Update debian/symbols.

    2014-07-30 - Chris Lamb <lamby@debian.org> libfiu (0.93-2) unstable; urgency=low * Add patch from upstream to fix FTBFS on i386.

    2014-07-29 - Chris Lamb <lamby@debian.org> libfiu (0.93-1) unstable; urgency=medium * New upstream release. * Strip Debian revision from symbols.

    2013-10-30 - Chris Lamb <lamby@debian.org> libfiu (0.92-1) unstable; urgency=low * New upstream release. * Add "this work is to be considered Public Domain" to debian/copyright. Thanks to Ansgar Burchardt. * Bump Standards-Version to 3.9.4. * Update debian/symbols.

    2013-05-23 - Chris Lamb <lamby@debian.org> libfiu (0.91-2) unstable; urgency=low * Require the testsuite to pass at request of upstream - was optional since 0.90-3. * Add/fix support for python3: - Add python3-fiu binary to debian/control - Adjust debian/rules to build for all versions - Change python/python3 build deps to python{3}-all-dev to support build for all versions Thanks to Scott Kitterman <debian@kitterman.com>. * Move to dh_python2. Thanks to Scott Kitterman <debian@kitterman.com>.

    2012-09-06 - Chris Lamb <lamby@debian.org> libfiu (0.91-1) unstable; urgency=low * New upstream release. * Update symbols. * Drop 01_wrap_python_for_tests.diff - applied upstream. * Drop 02_include_stdlib.diff - applied upstream.

    2012-04-11 - Chris Lamb <lamby@debian.org> libfiu (0.90-3) unstable; urgency=low * Make passing the testsuite optional; upstream does not 100% rely on it yet on all architectures.

    Advertisement
    Advertisement